#
# spec file for package python-flatbuffers
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-flatbuffers
Version:        25.2.10
Release:        2.1
Summary:        The FlatBuffers serialization format for Python
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://google.github.io/flatbuffers/
Source0:        https://github.com/google/flatbuffers/archive/v%{version}.tar.gz#/flatbuffers-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Recommends:     python-numpy
BuildArch:      noarch
%python_subpackages

%description
Python runtime library for use with the Flatbuffers serialization format.

%prep
%setup -q -n flatbuffers-%{version}/python
ln ../LICENSE
sed -i 's|../LICENSE|LICENSE|g' setup.cfg

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license ../LICENSE
%{python_sitelib}/flatbuffers
%{python_sitelib}/flatbuffers-%{version}.dist-info

%changelog
* Fri Jun 27 2025 Steve Kowalik <steven.kowalik@suse.com>
- Use pyproject macros to build and install.
* Tue Jun 17 2025 Hans-Peter Jansen <hpj@urpla.net>
- Update to 25.2.10
- Fix invalid ../LICENSE file reference in build
* Sat Jan  6 2024 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
- Fix build error in Leap.
- Fix warning python-sitelib-glob-in-files.
* Wed Oct 11 2023 ecsos <ecsos@opensuse.org>
- Update to 23.5.26
* Thu May 12 2022 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 2.0.6
* Wed May 12 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 2.0.0
* Thu Apr 30 2020 Michal Vyskocil <mvyskocil@opensuse.org>
- Update to 1.12.0
  - An official Swift port! (including gRPC support).
  - A Kotlin port!
  - Object API and native JSON support for C#.
  - Object API and gRPC support for Python.
  - Object API for Go.
  - FlexBuffers for Java.
  - Many other fixes and smaller improvements, 247 commits since 1.11.0
- Packaging: Use tarball from GitHub release page
  https://github.com/google/flatbuffers/releases
* Tue Dec  3 2019 Tomáš Chvátal <tchvatal@suse.com>
- Use same tarball as it is equal between python and C code
* Tue Oct  8 2019 ecsos@opensuse.org
- Update to 1.11.0
* Wed Jan 30 2019 Todd R <toddrme2178@gmail.com>
- Add python bindings.
